Bug 40989 - Cart icon appears to be broken
Summary: Cart icon appears to be broken
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store   
(Show other bugs)
Version: current
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cameron Prince
QA Contact: wbirkhea
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-16 21:06 UTC by Jay Turner
Modified: 2015-01-07 23:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-17 18:39:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2001-05-16 21:06:04 UTC
Description of Problem:
On webdevel.redhat.com, the cart icon is no longer showing when there are
items in your cart.

How Reproducible:
Always

Steps to Reproduce:
1. Log into http://webdevel.redhat.com/cgi-bin/store
2. Place item in your cart
3. Click continue browsing
4. Notice that the cart icon looks just as it does when there is nothing in
   the cart

Actual Results:
Cart icon doesn't change when items added to it.

Expected Results:
Cart icon should reflect that there are items in the cart.

Additional Information:

Comment 1 Cameron Prince 2001-05-17 00:40:46 UTC
Fixed.

Comment 2 Jay Turner 2001-05-17 12:07:03 UTC
Not quite.  Now when I pull up http://bmantest.meridian.redhat.com/cgi-bin/store
I get the cart icon showing something in my cart, but clicking on it brings me
to a screen stating that there are no items in my cart.  Can't get the cart icon
to go back to empty.

Comment 3 Jay Turner 2001-05-17 17:41:20 UTC
New behavior!  Now that the graphic has been moved over for "add to cart", the
original cart behavior is back.  That is the cart doesn't change status when
something is added to it.

Comment 4 Cameron Prince 2001-05-17 18:08:07 UTC
New cart image now only shown when items are in cart. Updated webdevel and bmantest.

Comment 5 Jay Turner 2001-05-17 18:20:01 UTC
Looks good on bmantest.meridian.redhat.com.  Closing out again.

Comment 6 Jay Turner 2001-05-17 18:21:20 UTC
I knew that I spoke too soon.  Go to any page other than the store front page
and the cart icon is appearing even when there is nothing in the cart.

Comment 7 Cameron Prince 2001-05-17 18:39:37 UTC
You didn't speak too soon. This bug was about index (store front). There is
another one for the product pages.

Comment 8 Jay Turner 2001-05-18 15:39:43 UTC
OK, this appears to be fixed again on all pages.


Note You need to log in before you can comment on or make changes to this bug.